Summary: Add and remove users and groups from the system.
Name: hhl-target-adduser
Version: 3.24
Release: %{_hhl_build_id}.1
Source: adduser-%{version}.tar.gz
Source1 : adduser.tmpl
Patch: adduser-abspath.patch
License: GPL
Group: admin
Prefix: %{_hhl_cross_target_dir}
%define pkgname hhl-%{_hhl_target_arch}-adduser
Buildroot: %{_tmppath}/%{pkgname}-root
%define targetroot %{_hhl_cross_target_dir}

# It really is a noarch package.. but lets not..
#BuildArchitectures: noarch

%define _sbindir	%{targetroot}%{_hhl_target_sbin_dir}
%define _datadir	%{targetroot}%{_hhl_target_sharedstate_dir}
%define _libdir		%{targetroot}%{_hhl_target_lib_dir}
%define _mandir		%{targetroot}%{_hhl_target_man_dir}
%define _docdir		%{targetroot}%{_hhl_target_doc_dir}

%description
Add and remove users and groups to resp. from the system.  This package
includes the adduser and deluser commands for creating and removing 
users.  Adding users with adduser is much easier than adding them by hand.
Adduser will choose appropriate UID and GID values, create a home
directory, copy skeletal user configuration, allow you to set an initial
password and gecos.  Deluser can optionally remove and backup the user's
home directory.

%package -n %{pkgname}
Summary: Add and remove users and groups from the system. 
Group: admin
AutoReqProv: no
%description -n %{pkgname}
Add and remove users and groups to resp. from the system.  This package
includes the adduser and deluser commands for creating and removing
users.  Adding users with adduser is much easier than adding them by hand.
Adduser will choose appropriate UID and GID values, create a home
directory, copy skeletal user configuration, allow you to set an initial
password and gecos.  Deluser can optionally remove and backup the user's
home directory.

%prep
%target_check
%setup -q -n adduser-%{version}
%patch -p1

%build
%target_setup
%make -C po all

%install
rm -rf %{buildroot}
%target_setup

# create directory tree
for d in %{targetroot}/etc %{_sbindir} %{_mandir}/man{5,8} %{_libdir}/perl5; do
    install -d %{buildroot}/$d
done

install -m 644 *.conf %{buildroot}%{targetroot}/etc
sed -e s/VERSION/%{version}/g adduser > %{buildroot}%{_sbindir}/adduser
sed -e s/VERSION/%{version}/g deluser > %{buildroot}%{_sbindir}/deluser
sed -e s/VERSION/%{version}/g AdduserCommon.pm > \
  %{buildroot}%{_libdir}/perl5/AdduserCommon.pm
chmod 755 %{buildroot}%{_sbindir}/*
ln -s adduser %{buildroot}%{_sbindir}/addgroup
ln -s deluser %{buildroot}%{_sbindir}/delgroup
sed -e s/VERSION/%{version}/g adduser.conf.5 > \
  %{buildroot}%{_mandir}/man5/adduser.conf.5
sed -e s/VERSION/%{version}/g adduser.8 > \
  %{buildroot}%{_mandir}/man8/adduser.8
sed -e s/VERSION/%{version}/g deluser.conf.5 > \
  %{buildroot}%{_mandir}/man5/deluser.conf.5
sed -e s/VERSION/%{version}/g deluser.8 > \
  %{buildroot}%{_mandir}/man8/deluser.8

gzip -9f %{buildroot}%{_mandir}/man{5,8}/*
chmod 644 %{buildroot}%{_mandir}/man{5,8}/*
ln -s adduser.8.gz %{buildroot}%{_mandir}/man8/addgroup.8.gz
ln -s deluser.8.gz %{buildroot}%{_mandir}/man8/delgroup.8.gz
make -C po DESTDIR=%{buildroot}%{targetroot} install

cp debian/copyright LICENSE

install -d %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages
export HHL_TOOL_PREFIX=%{_hhl_target_toolprefix}
genpkgdesc %{buildroot}%{_hhl_cross_target_dir} %{SOURCE1} > %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/adduser

%clean
rm -rf %{buildroot}

%files -n %{pkgname}
%defattr(-,root,root)
%config %{targetroot}/etc/adduser.conf
%config %{targetroot}/etc/deluser.conf
%{_sbindir}/addgroup
%{_sbindir}/adduser
%{_sbindir}/delgroup
%{_sbindir}/deluser
%{_libdir}/perl5/AdduserCommon.pm
%{_datadir}/locale/*/*/*
%{_mandir}/man*/*

%doc TODO LICENSE
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/adduser

%changelog
* Tue Feb 13 2001 Matthew McLean <source@mvista.com>
- First cut
